# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: CalibrationService.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='CalibrationService.proto',
  package='sila2.biovt.mw.tum.de.examples.calibrationservice.v1',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x18\x43\x61librationService.proto\x12\x34sila2.biovt.mw.tum.de.examples.calibrationservice.v1\x1a\x13SiLAFramework.proto\"\x18\n\x16GetO2CalLow_Parameters\"N\n\x15GetO2CalLow_Responses\x12\x35\n\x0f\x43urrentO2CalLow\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"K\n\x16SetO2CalLow_Parameters\x12\x31\n\x0bSetO2CalLow\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"N\n\x15SetO2CalLow_Responses\x12\x35\n\x0f\x43urrentO2CalLow\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x19\n\x17GetO2CalHigh_Parameters\"P\n\x16GetO2CalHigh_Responses\x12\x36\n\x10\x43urrentO2CalHigh\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"M\n\x17SetO2CalHigh_Parameters\x12\x32\n\x0cSetO2CalHigh\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"P\n\x16SetO2CalHigh_Responses\x12\x36\n\x10\x43urrentO2CalHigh\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x19\n\x17GetO2CalTemp_Parameters\"P\n\x16GetO2CalTemp_Responses\x12\x36\n\x10\x43urrentO2CalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"M\n\x17SetO2CalTemp_Parameters\x12\x32\n\x0cSetO2CalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"P\n\x16SetO2CalTemp_Responses\x12\x36\n\x10\x43urrentO2CalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x16\n\x14GetPHImax_Parameters\"J\n\x13GetPHImax_Responses\x12\x33\n\rCurrentPHImax\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"G\n\x14SetPHImax_Parameters\x12/\n\tSetPHImax\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"J\n\x13SetPHImax_Responses\x12\x33\n\rCurrentPHImax\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x16\n\x14GetPHImin_Parameters\"J\n\x13GetPHImin_Responses\x12\x33\n\rCurrentPHImin\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"G\n\x14SetPHImin_Parameters\x12/\n\tSetPHImin\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"J\n\x13SetPHImin_Responses\x12\x33\n\rCurrentPHImin\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x15\n\x13GetPHpH0_Parameters\"H\n\x12GetPHpH0_Responses\x12\x32\n\x0c\x43urrentPHpH0\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"E\n\x13SetPHpH0_Parameters\x12.\n\x08SetPHpH0\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"H\n\x12SetPHpH0_Responses\x12\x32\n\x0c\x43urrentPHpH0\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x15\n\x13GetPHdpH_Parameters\"H\n\x12GetPHdpH_Responses\x12\x32\n\x0c\x43urrentPHdpH\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"E\n\x13SetPHdpH_Parameters\x12.\n\x08SetPHdpH\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"H\n\x12SetPHdpH_Responses\x12\x32\n\x0c\x43urrentPHdpH\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x19\n\x17GetPHCalTemp_Parameters\"P\n\x16GetPHCalTemp_Responses\x12\x36\n\x10\x43urrentPHCalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"M\n\x17SetPHCalTemp_Parameters\x12\x32\n\x0cSetPHCalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real\"P\n\x16SetPHCalTemp_Responses\x12\x36\n\x10\x43urrentPHCalTemp\x18\x01 \x03(\x0b\x32\x1c.sila2.org.silastandard.Real2\xba\x15\n\x12\x43\x61librationService\x12\xaa\x01\n\x0bGetO2CalLow\x12L.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalLow_Parameters\x1aK.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalLow_Responses\"\x00\x12\xaa\x01\n\x0bSetO2CalLow\x12L.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalLow_Parameters\x1aK.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalLow_Responses\"\x00\x12\xad\x01\n\x0cGetO2CalHigh\x12M.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalHigh_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalHigh_Responses\"\x00\x12\xad\x01\n\x0cSetO2CalHigh\x12M.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalHigh_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalHigh_Responses\"\x00\x12\xad\x01\n\x0cGetO2CalTemp\x12M.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalTemp_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalTemp_Responses\"\x00\x12\xad\x01\n\x0cSetO2CalTemp\x12M.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalTemp_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalTemp_Responses\"\x00\x12\xa4\x01\n\tGetPHImax\x12J.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImax_Parameters\x1aI.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImax_Responses\"\x00\x12\xa4\x01\n\tSetPHImax\x12J.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImax_Parameters\x1aI.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImax_Responses\"\x00\x12\xa4\x01\n\tGetPHImin\x12J.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImin_Parameters\x1aI.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImin_Responses\"\x00\x12\xa4\x01\n\tSetPHImin\x12J.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImin_Parameters\x1aI.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImin_Responses\"\x00\x12\xa1\x01\n\x08GetPHpH0\x12I.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHpH0_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHpH0_Responses\"\x00\x12\xa1\x01\n\x08SetPHpH0\x12I.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHpH0_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHpH0_Responses\"\x00\x12\xa1\x01\n\x08GetPHdpH\x12I.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHdpH_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHdpH_Responses\"\x00\x12\xa1\x01\n\x08SetPHdpH\x12I.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHdpH_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHdpH_Responses\"\x00\x12\xad\x01\n\x0cGetPHCalTemp\x12M.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHCalTemp_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHCalTemp_Responses\"\x00\x12\xad\x01\n\x0cSetPHCalTemp\x12M.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHCalTemp_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHCalTemp_Responses\"\x00\x62\x06proto3'
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETO2CALLOW_PARAMETERS = _descriptor.Descriptor(
  name='GetO2CalLow_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalLow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=103,
  serialized_end=127,
)


_GETO2CALLOW_RESPONSES = _descriptor.Descriptor(
  name='GetO2CalLow_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalLow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalLow', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalLow_Responses.CurrentO2CalLow', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=129,
  serialized_end=207,
)


_SETO2CALLOW_PARAMETERS = _descriptor.Descriptor(
  name='SetO2CalLow_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalLow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetO2CalLow', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalLow_Parameters.SetO2CalLow', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=209,
  serialized_end=284,
)


_SETO2CALLOW_RESPONSES = _descriptor.Descriptor(
  name='SetO2CalLow_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalLow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalLow', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalLow_Responses.CurrentO2CalLow', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=286,
  serialized_end=364,
)


_GETO2CALHIGH_PARAMETERS = _descriptor.Descriptor(
  name='GetO2CalHigh_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalHigh_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=366,
  serialized_end=391,
)


_GETO2CALHIGH_RESPONSES = _descriptor.Descriptor(
  name='GetO2CalHigh_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalHigh_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalHigh', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalHigh_Responses.CurrentO2CalHigh', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=393,
  serialized_end=473,
)


_SETO2CALHIGH_PARAMETERS = _descriptor.Descriptor(
  name='SetO2CalHigh_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalHigh_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetO2CalHigh', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalHigh_Parameters.SetO2CalHigh', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=475,
  serialized_end=552,
)


_SETO2CALHIGH_RESPONSES = _descriptor.Descriptor(
  name='SetO2CalHigh_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalHigh_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalHigh', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalHigh_Responses.CurrentO2CalHigh', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=554,
  serialized_end=634,
)


_GETO2CALTEMP_PARAMETERS = _descriptor.Descriptor(
  name='GetO2CalTemp_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalTemp_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=636,
  serialized_end=661,
)


_GETO2CALTEMP_RESPONSES = _descriptor.Descriptor(
  name='GetO2CalTemp_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalTemp_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalTemp_Responses.CurrentO2CalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=663,
  serialized_end=743,
)


_SETO2CALTEMP_PARAMETERS = _descriptor.Descriptor(
  name='SetO2CalTemp_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalTemp_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetO2CalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalTemp_Parameters.SetO2CalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=745,
  serialized_end=822,
)


_SETO2CALTEMP_RESPONSES = _descriptor.Descriptor(
  name='SetO2CalTemp_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalTemp_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentO2CalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalTemp_Responses.CurrentO2CalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=824,
  serialized_end=904,
)


_GETPHIMAX_PARAMETERS = _descriptor.Descriptor(
  name='GetPHImax_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImax_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=906,
  serialized_end=928,
)


_GETPHIMAX_RESPONSES = _descriptor.Descriptor(
  name='GetPHImax_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImax_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHImax', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImax_Responses.CurrentPHImax', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=930,
  serialized_end=1004,
)


_SETPHIMAX_PARAMETERS = _descriptor.Descriptor(
  name='SetPHImax_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImax_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHImax', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImax_Parameters.SetPHImax', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1006,
  serialized_end=1077,
)


_SETPHIMAX_RESPONSES = _descriptor.Descriptor(
  name='SetPHImax_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImax_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHImax', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImax_Responses.CurrentPHImax', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1079,
  serialized_end=1153,
)


_GETPHIMIN_PARAMETERS = _descriptor.Descriptor(
  name='GetPHImin_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImin_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1155,
  serialized_end=1177,
)


_GETPHIMIN_RESPONSES = _descriptor.Descriptor(
  name='GetPHImin_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImin_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHImin', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImin_Responses.CurrentPHImin', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1179,
  serialized_end=1253,
)


_SETPHIMIN_PARAMETERS = _descriptor.Descriptor(
  name='SetPHImin_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImin_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHImin', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImin_Parameters.SetPHImin', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1255,
  serialized_end=1326,
)


_SETPHIMIN_RESPONSES = _descriptor.Descriptor(
  name='SetPHImin_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImin_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHImin', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImin_Responses.CurrentPHImin', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1328,
  serialized_end=1402,
)


_GETPHPH0_PARAMETERS = _descriptor.Descriptor(
  name='GetPHpH0_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHpH0_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1404,
  serialized_end=1425,
)


_GETPHPH0_RESPONSES = _descriptor.Descriptor(
  name='GetPHpH0_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHpH0_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHpH0', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHpH0_Responses.CurrentPHpH0', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1427,
  serialized_end=1499,
)


_SETPHPH0_PARAMETERS = _descriptor.Descriptor(
  name='SetPHpH0_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHpH0_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHpH0', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHpH0_Parameters.SetPHpH0', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1501,
  serialized_end=1570,
)


_SETPHPH0_RESPONSES = _descriptor.Descriptor(
  name='SetPHpH0_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHpH0_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHpH0', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHpH0_Responses.CurrentPHpH0', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1572,
  serialized_end=1644,
)


_GETPHDPH_PARAMETERS = _descriptor.Descriptor(
  name='GetPHdpH_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHdpH_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1646,
  serialized_end=1667,
)


_GETPHDPH_RESPONSES = _descriptor.Descriptor(
  name='GetPHdpH_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHdpH_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHdpH', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHdpH_Responses.CurrentPHdpH', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1669,
  serialized_end=1741,
)


_SETPHDPH_PARAMETERS = _descriptor.Descriptor(
  name='SetPHdpH_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHdpH_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHdpH', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHdpH_Parameters.SetPHdpH', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1743,
  serialized_end=1812,
)


_SETPHDPH_RESPONSES = _descriptor.Descriptor(
  name='SetPHdpH_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHdpH_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHdpH', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHdpH_Responses.CurrentPHdpH', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1814,
  serialized_end=1886,
)


_GETPHCALTEMP_PARAMETERS = _descriptor.Descriptor(
  name='GetPHCalTemp_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHCalTemp_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1888,
  serialized_end=1913,
)


_GETPHCALTEMP_RESPONSES = _descriptor.Descriptor(
  name='GetPHCalTemp_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHCalTemp_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHCalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHCalTemp_Responses.CurrentPHCalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1915,
  serialized_end=1995,
)


_SETPHCALTEMP_PARAMETERS = _descriptor.Descriptor(
  name='SetPHCalTemp_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHCalTemp_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetPHCalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHCalTemp_Parameters.SetPHCalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1997,
  serialized_end=2074,
)


_SETPHCALTEMP_RESPONSES = _descriptor.Descriptor(
  name='SetPHCalTemp_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHCalTemp_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPHCalTemp', full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHCalTemp_Responses.CurrentPHCalTemp', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2076,
  serialized_end=2156,
)

_GETO2CALLOW_RESPONSES.fields_by_name['CurrentO2CalLow'].message_type = SiLAFramework__pb2._REAL
_SETO2CALLOW_PARAMETERS.fields_by_name['SetO2CalLow'].message_type = SiLAFramework__pb2._REAL
_SETO2CALLOW_RESPONSES.fields_by_name['CurrentO2CalLow'].message_type = SiLAFramework__pb2._REAL
_GETO2CALHIGH_RESPONSES.fields_by_name['CurrentO2CalHigh'].message_type = SiLAFramework__pb2._REAL
_SETO2CALHIGH_PARAMETERS.fields_by_name['SetO2CalHigh'].message_type = SiLAFramework__pb2._REAL
_SETO2CALHIGH_RESPONSES.fields_by_name['CurrentO2CalHigh'].message_type = SiLAFramework__pb2._REAL
_GETO2CALTEMP_RESPONSES.fields_by_name['CurrentO2CalTemp'].message_type = SiLAFramework__pb2._REAL
_SETO2CALTEMP_PARAMETERS.fields_by_name['SetO2CalTemp'].message_type = SiLAFramework__pb2._REAL
_SETO2CALTEMP_RESPONSES.fields_by_name['CurrentO2CalTemp'].message_type = SiLAFramework__pb2._REAL
_GETPHIMAX_RESPONSES.fields_by_name['CurrentPHImax'].message_type = SiLAFramework__pb2._REAL
_SETPHIMAX_PARAMETERS.fields_by_name['SetPHImax'].message_type = SiLAFramework__pb2._REAL
_SETPHIMAX_RESPONSES.fields_by_name['CurrentPHImax'].message_type = SiLAFramework__pb2._REAL
_GETPHIMIN_RESPONSES.fields_by_name['CurrentPHImin'].message_type = SiLAFramework__pb2._REAL
_SETPHIMIN_PARAMETERS.fields_by_name['SetPHImin'].message_type = SiLAFramework__pb2._REAL
_SETPHIMIN_RESPONSES.fields_by_name['CurrentPHImin'].message_type = SiLAFramework__pb2._REAL
_GETPHPH0_RESPONSES.fields_by_name['CurrentPHpH0'].message_type = SiLAFramework__pb2._REAL
_SETPHPH0_PARAMETERS.fields_by_name['SetPHpH0'].message_type = SiLAFramework__pb2._REAL
_SETPHPH0_RESPONSES.fields_by_name['CurrentPHpH0'].message_type = SiLAFramework__pb2._REAL
_GETPHDPH_RESPONSES.fields_by_name['CurrentPHdpH'].message_type = SiLAFramework__pb2._REAL
_SETPHDPH_PARAMETERS.fields_by_name['SetPHdpH'].message_type = SiLAFramework__pb2._REAL
_SETPHDPH_RESPONSES.fields_by_name['CurrentPHdpH'].message_type = SiLAFramework__pb2._REAL
_GETPHCALTEMP_RESPONSES.fields_by_name['CurrentPHCalTemp'].message_type = SiLAFramework__pb2._REAL
_SETPHCALTEMP_PARAMETERS.fields_by_name['SetPHCalTemp'].message_type = SiLAFramework__pb2._REAL
_SETPHCALTEMP_RESPONSES.fields_by_name['CurrentPHCalTemp'].message_type = SiLAFramework__pb2._REAL
DESCRIPTOR.message_types_by_name['GetO2CalLow_Parameters'] = _GETO2CALLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['GetO2CalLow_Responses'] = _GETO2CALLOW_RESPONSES
DESCRIPTOR.message_types_by_name['SetO2CalLow_Parameters'] = _SETO2CALLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['SetO2CalLow_Responses'] = _SETO2CALLOW_RESPONSES
DESCRIPTOR.message_types_by_name['GetO2CalHigh_Parameters'] = _GETO2CALHIGH_PARAMETERS
DESCRIPTOR.message_types_by_name['GetO2CalHigh_Responses'] = _GETO2CALHIGH_RESPONSES
DESCRIPTOR.message_types_by_name['SetO2CalHigh_Parameters'] = _SETO2CALHIGH_PARAMETERS
DESCRIPTOR.message_types_by_name['SetO2CalHigh_Responses'] = _SETO2CALHIGH_RESPONSES
DESCRIPTOR.message_types_by_name['GetO2CalTemp_Parameters'] = _GETO2CALTEMP_PARAMETERS
DESCRIPTOR.message_types_by_name['GetO2CalTemp_Responses'] = _GETO2CALTEMP_RESPONSES
DESCRIPTOR.message_types_by_name['SetO2CalTemp_Parameters'] = _SETO2CALTEMP_PARAMETERS
DESCRIPTOR.message_types_by_name['SetO2CalTemp_Responses'] = _SETO2CALTEMP_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHImax_Parameters'] = _GETPHIMAX_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHImax_Responses'] = _GETPHIMAX_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHImax_Parameters'] = _SETPHIMAX_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHImax_Responses'] = _SETPHIMAX_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHImin_Parameters'] = _GETPHIMIN_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHImin_Responses'] = _GETPHIMIN_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHImin_Parameters'] = _SETPHIMIN_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHImin_Responses'] = _SETPHIMIN_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHpH0_Parameters'] = _GETPHPH0_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHpH0_Responses'] = _GETPHPH0_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHpH0_Parameters'] = _SETPHPH0_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHpH0_Responses'] = _SETPHPH0_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHdpH_Parameters'] = _GETPHDPH_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHdpH_Responses'] = _GETPHDPH_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHdpH_Parameters'] = _SETPHDPH_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHdpH_Responses'] = _SETPHDPH_RESPONSES
DESCRIPTOR.message_types_by_name['GetPHCalTemp_Parameters'] = _GETPHCALTEMP_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPHCalTemp_Responses'] = _GETPHCALTEMP_RESPONSES
DESCRIPTOR.message_types_by_name['SetPHCalTemp_Parameters'] = _SETPHCALTEMP_PARAMETERS
DESCRIPTOR.message_types_by_name['SetPHCalTemp_Responses'] = _SETPHCALTEMP_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetO2CalLow_Parameters = _reflection.GeneratedProtocolMessageType('GetO2CalLow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALLOW_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalLow_Parameters)
  })
_sym_db.RegisterMessage(GetO2CalLow_Parameters)

GetO2CalLow_Responses = _reflection.GeneratedProtocolMessageType('GetO2CalLow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALLOW_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalLow_Responses)
  })
_sym_db.RegisterMessage(GetO2CalLow_Responses)

SetO2CalLow_Parameters = _reflection.GeneratedProtocolMessageType('SetO2CalLow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALLOW_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalLow_Parameters)
  })
_sym_db.RegisterMessage(SetO2CalLow_Parameters)

SetO2CalLow_Responses = _reflection.GeneratedProtocolMessageType('SetO2CalLow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALLOW_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalLow_Responses)
  })
_sym_db.RegisterMessage(SetO2CalLow_Responses)

GetO2CalHigh_Parameters = _reflection.GeneratedProtocolMessageType('GetO2CalHigh_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALHIGH_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalHigh_Parameters)
  })
_sym_db.RegisterMessage(GetO2CalHigh_Parameters)

GetO2CalHigh_Responses = _reflection.GeneratedProtocolMessageType('GetO2CalHigh_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALHIGH_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalHigh_Responses)
  })
_sym_db.RegisterMessage(GetO2CalHigh_Responses)

SetO2CalHigh_Parameters = _reflection.GeneratedProtocolMessageType('SetO2CalHigh_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALHIGH_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalHigh_Parameters)
  })
_sym_db.RegisterMessage(SetO2CalHigh_Parameters)

SetO2CalHigh_Responses = _reflection.GeneratedProtocolMessageType('SetO2CalHigh_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALHIGH_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalHigh_Responses)
  })
_sym_db.RegisterMessage(SetO2CalHigh_Responses)

GetO2CalTemp_Parameters = _reflection.GeneratedProtocolMessageType('GetO2CalTemp_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALTEMP_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalTemp_Parameters)
  })
_sym_db.RegisterMessage(GetO2CalTemp_Parameters)

GetO2CalTemp_Responses = _reflection.GeneratedProtocolMessageType('GetO2CalTemp_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETO2CALTEMP_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetO2CalTemp_Responses)
  })
_sym_db.RegisterMessage(GetO2CalTemp_Responses)

SetO2CalTemp_Parameters = _reflection.GeneratedProtocolMessageType('SetO2CalTemp_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALTEMP_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalTemp_Parameters)
  })
_sym_db.RegisterMessage(SetO2CalTemp_Parameters)

SetO2CalTemp_Responses = _reflection.GeneratedProtocolMessageType('SetO2CalTemp_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETO2CALTEMP_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetO2CalTemp_Responses)
  })
_sym_db.RegisterMessage(SetO2CalTemp_Responses)

GetPHImax_Parameters = _reflection.GeneratedProtocolMessageType('GetPHImax_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHIMAX_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImax_Parameters)
  })
_sym_db.RegisterMessage(GetPHImax_Parameters)

GetPHImax_Responses = _reflection.GeneratedProtocolMessageType('GetPHImax_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHIMAX_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImax_Responses)
  })
_sym_db.RegisterMessage(GetPHImax_Responses)

SetPHImax_Parameters = _reflection.GeneratedProtocolMessageType('SetPHImax_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHIMAX_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImax_Parameters)
  })
_sym_db.RegisterMessage(SetPHImax_Parameters)

SetPHImax_Responses = _reflection.GeneratedProtocolMessageType('SetPHImax_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHIMAX_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImax_Responses)
  })
_sym_db.RegisterMessage(SetPHImax_Responses)

GetPHImin_Parameters = _reflection.GeneratedProtocolMessageType('GetPHImin_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHIMIN_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImin_Parameters)
  })
_sym_db.RegisterMessage(GetPHImin_Parameters)

GetPHImin_Responses = _reflection.GeneratedProtocolMessageType('GetPHImin_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHIMIN_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHImin_Responses)
  })
_sym_db.RegisterMessage(GetPHImin_Responses)

SetPHImin_Parameters = _reflection.GeneratedProtocolMessageType('SetPHImin_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHIMIN_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImin_Parameters)
  })
_sym_db.RegisterMessage(SetPHImin_Parameters)

SetPHImin_Responses = _reflection.GeneratedProtocolMessageType('SetPHImin_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHIMIN_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHImin_Responses)
  })
_sym_db.RegisterMessage(SetPHImin_Responses)

GetPHpH0_Parameters = _reflection.GeneratedProtocolMessageType('GetPHpH0_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHPH0_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHpH0_Parameters)
  })
_sym_db.RegisterMessage(GetPHpH0_Parameters)

GetPHpH0_Responses = _reflection.GeneratedProtocolMessageType('GetPHpH0_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHPH0_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHpH0_Responses)
  })
_sym_db.RegisterMessage(GetPHpH0_Responses)

SetPHpH0_Parameters = _reflection.GeneratedProtocolMessageType('SetPHpH0_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHPH0_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHpH0_Parameters)
  })
_sym_db.RegisterMessage(SetPHpH0_Parameters)

SetPHpH0_Responses = _reflection.GeneratedProtocolMessageType('SetPHpH0_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHPH0_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHpH0_Responses)
  })
_sym_db.RegisterMessage(SetPHpH0_Responses)

GetPHdpH_Parameters = _reflection.GeneratedProtocolMessageType('GetPHdpH_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHDPH_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHdpH_Parameters)
  })
_sym_db.RegisterMessage(GetPHdpH_Parameters)

GetPHdpH_Responses = _reflection.GeneratedProtocolMessageType('GetPHdpH_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHDPH_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHdpH_Responses)
  })
_sym_db.RegisterMessage(GetPHdpH_Responses)

SetPHdpH_Parameters = _reflection.GeneratedProtocolMessageType('SetPHdpH_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHDPH_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHdpH_Parameters)
  })
_sym_db.RegisterMessage(SetPHdpH_Parameters)

SetPHdpH_Responses = _reflection.GeneratedProtocolMessageType('SetPHdpH_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHDPH_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHdpH_Responses)
  })
_sym_db.RegisterMessage(SetPHdpH_Responses)

GetPHCalTemp_Parameters = _reflection.GeneratedProtocolMessageType('GetPHCalTemp_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPHCALTEMP_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHCalTemp_Parameters)
  })
_sym_db.RegisterMessage(GetPHCalTemp_Parameters)

GetPHCalTemp_Responses = _reflection.GeneratedProtocolMessageType('GetPHCalTemp_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPHCALTEMP_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.GetPHCalTemp_Responses)
  })
_sym_db.RegisterMessage(GetPHCalTemp_Responses)

SetPHCalTemp_Parameters = _reflection.GeneratedProtocolMessageType('SetPHCalTemp_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETPHCALTEMP_PARAMETERS,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHCalTemp_Parameters)
  })
_sym_db.RegisterMessage(SetPHCalTemp_Parameters)

SetPHCalTemp_Responses = _reflection.GeneratedProtocolMessageType('SetPHCalTemp_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETPHCALTEMP_RESPONSES,
  '__module__' : 'CalibrationService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.calibrationservice.v1.SetPHCalTemp_Responses)
  })
_sym_db.RegisterMessage(SetPHCalTemp_Responses)



_CALIBRATIONSERVICE = _descriptor.ServiceDescriptor(
  name='CalibrationService',
  full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=2159,
  serialized_end=4905,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetO2CalLow',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetO2CalLow',
    index=0,
    containing_service=None,
    input_type=_GETO2CALLOW_PARAMETERS,
    output_type=_GETO2CALLOW_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetO2CalLow',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetO2CalLow',
    index=1,
    containing_service=None,
    input_type=_SETO2CALLOW_PARAMETERS,
    output_type=_SETO2CALLOW_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetO2CalHigh',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetO2CalHigh',
    index=2,
    containing_service=None,
    input_type=_GETO2CALHIGH_PARAMETERS,
    output_type=_GETO2CALHIGH_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetO2CalHigh',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetO2CalHigh',
    index=3,
    containing_service=None,
    input_type=_SETO2CALHIGH_PARAMETERS,
    output_type=_SETO2CALHIGH_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetO2CalTemp',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetO2CalTemp',
    index=4,
    containing_service=None,
    input_type=_GETO2CALTEMP_PARAMETERS,
    output_type=_GETO2CALTEMP_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetO2CalTemp',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetO2CalTemp',
    index=5,
    containing_service=None,
    input_type=_SETO2CALTEMP_PARAMETERS,
    output_type=_SETO2CALTEMP_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHImax',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetPHImax',
    index=6,
    containing_service=None,
    input_type=_GETPHIMAX_PARAMETERS,
    output_type=_GETPHIMAX_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHImax',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetPHImax',
    index=7,
    containing_service=None,
    input_type=_SETPHIMAX_PARAMETERS,
    output_type=_SETPHIMAX_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHImin',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetPHImin',
    index=8,
    containing_service=None,
    input_type=_GETPHIMIN_PARAMETERS,
    output_type=_GETPHIMIN_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHImin',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetPHImin',
    index=9,
    containing_service=None,
    input_type=_SETPHIMIN_PARAMETERS,
    output_type=_SETPHIMIN_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHpH0',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetPHpH0',
    index=10,
    containing_service=None,
    input_type=_GETPHPH0_PARAMETERS,
    output_type=_GETPHPH0_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHpH0',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetPHpH0',
    index=11,
    containing_service=None,
    input_type=_SETPHPH0_PARAMETERS,
    output_type=_SETPHPH0_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHdpH',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetPHdpH',
    index=12,
    containing_service=None,
    input_type=_GETPHDPH_PARAMETERS,
    output_type=_GETPHDPH_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHdpH',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetPHdpH',
    index=13,
    containing_service=None,
    input_type=_SETPHDPH_PARAMETERS,
    output_type=_SETPHDPH_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPHCalTemp',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.GetPHCalTemp',
    index=14,
    containing_service=None,
    input_type=_GETPHCALTEMP_PARAMETERS,
    output_type=_GETPHCALTEMP_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetPHCalTemp',
    full_name='sila2.biovt.mw.tum.de.examples.calibrationservice.v1.CalibrationService.SetPHCalTemp',
    index=15,
    containing_service=None,
    input_type=_SETPHCALTEMP_PARAMETERS,
    output_type=_SETPHCALTEMP_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_CALIBRATIONSERVICE)

DESCRIPTOR.services_by_name['CalibrationService'] = _CALIBRATIONSERVICE

# @@protoc_insertion_point(module_scope)
